### int PASCAL RARReadHeader(HANDLE hArcData,struct RARHeaderData *HeaderData)

### Description

Read a file header from archive.

This function is obsolete. It does not support Unicode names and 64 bit file sizes. It is recommended to use RARReadHeaderEx instead.

### Parameters

hArcData

> This parameter should contain the archive handle obtained from RAROpenArchive or RAROpenArchiveEx function call.

HeaderData

> Points to RARHeaderData structure.

### Return values

> 0 | Success
> ERAR_END_ARCHIVE | End of archive
> ERAR_BAD_DATA | File header broken
> ERAR_MISSING_PASSWORD | Password was not provided for encrypted file header

### See also

> RARHeaderData structure.